passing_block.c File Reference
`#include "ruby.h"`

Go to the source code of this file.

## Functions

VALUE | rb_funcall_passing_block (VALUE, ID, int, const VALUE *)
static VALUE | with_funcall2 (int argc, VALUE *argv, VALUE self)
static VALUE | with_funcall_passing_block (int argc, VALUE *argv, VALUE self)
void | Init_funcall (void)

## Function Documentation

void Init_funcall | ( | void |  | ) |

Definition at line 18 of file passing_block.c.

References rb_define_singleton_method(), rb_path2class(), with_funcall2(), and with_funcall_passing_block().

VALUE rb_funcall_passing_block | ( | VALUE | ,
|  | ID | ,
|  | int | ,
|  | const VALUE * |
| ) |  |

Definition at line 690 of file vm_eval.c.

Referenced by sym_call(), and with_funcall_passing_block().

static VALUE with_funcall2 | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 6 of file passing_block.c.

References rb_funcall2(), and rb_intern.

Referenced by Init_funcall().

static VALUE with_funcall_passing_block | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 12 of file passing_block.c.

References rb_funcall_passing_block(), and rb_intern.

Referenced by Init_funcall().